update jrb0001's commit hook

This commit is contained in:
xuu 2017-10-25 15:23:34 -06:00
parent 4f95aaa7b0
commit bf4d2ff396
3 changed files with 15 additions and 8 deletions

View File

@ -10,4 +10,5 @@ BASE="$(realpath "$0")"
BASE="$(dirname "$BASE")"
cd "$BASE" || exit 1
utils/schema-check/dn42-schema.py scan data/ -m "$1"
utils/schema-check/dn42-schema.py scan data/ -m "$1" || ( echo "Schema validation failed, please check above!" ; exit 1 )

View File

@ -10,12 +10,11 @@ BASE="$(realpath "$0")"
BASE="$(dirname "$BASE")"
cd "$BASE" || exit 1
cat >> .git/hooks/pre-commit <<EOF
cat > .git/hooks/pre-commit <<EOF
#!/bin/sh
./check-my-stuff "$1"
# Fail if not everything is PASS
./check-my-stuff JRB0001-MNT 2>/dev/null | grep -v PASS 1>/dev/null 2>&1 && { echo "Schema validation failed, please check above!" 1>&2; exit 1; }
./check-my-stuff "$1" || exit 1
EOF
chmod +x .git/hooks/pre-commit

View File

@ -266,8 +266,10 @@ def __scan_index(idx, schemas, mntner):
continue
c = FileDOM(v[0])
ck = s.check_file(c, idx.keys())
if not ck:
ok = False
if ck == "INFO" and ok != "FAIL":
ok = ck
if ck == "FAIL":
ok = ck
return ok
@ -397,5 +399,10 @@ if __name__ == '__main__':
elif args["command"] == "scan":
import time
log.notice("## Scan Started at %s" %(time.strftime("%Y-%m-%d %H:%M:%S", time.gmtime())))
scan_files(args["path"], args["use_mntner"])
ck = scan_files(args["path"], args["use_mntner"])
log.notice("## Scan Completed at %s" %(time.strftime("%Y-%m-%d %H:%M:%S", time.gmtime())))
if ck == "INFO":
sys.exit(2)
elif ck == "FAIL":
sys.exit(1)